<html>
<head>
<title>OgreRoot.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreRoot.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreRoot_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __ROOT__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __ROOT__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="comment">// Precompiler options</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreSceneManagerEnumerator_8h.html">OgreSceneManagerEnumerator.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreLodStrategyManager_8h.html">OgreLodStrategyManager.h</a>&quot;</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include &quot;<a class="code" href="OgreWorkQueue_8h.html">OgreWorkQueue.h</a>&quot;</span>
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 <span class="preprocessor">#include &lt;exception&gt;</span>
<a name="l00042"></a>00042 
<a name="l00043"></a>00043 <span class="keyword">namespace </span>Ogre
<a name="l00044"></a>00044 {
<a name="l00052"></a><a class="code" href="group__General.html#ga8ec3f24590c290929ec15b4af5757351">00052</a>     <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;RenderSystem*&gt;::type</a> <a class="code" href="group__General.html#ga8ec3f24590c290929ec15b4af5757351">RenderSystemList</a>;
<a name="l00053"></a>00053     
<a name="l00067"></a><a class="code" href="classOgre_1_1Root.html">00067</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;Root&gt;, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">RootAlloc</a>
<a name="l00068"></a>00068     {
<a name="l00069"></a>00069         <span class="comment">// To allow update of active renderer if</span>
<a name="l00070"></a>00070         <span class="comment">// RenderSystem::initialise is used directly</span>
<a name="l00071"></a><a class="code" href="classOgre_1_1Root.html#a06b786d8e0847dfe9cc15e1dea308fcd">00071</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>;
<a name="l00072"></a>00072     <span class="keyword">protected</span>:
<a name="l00073"></a><a class="code" href="classOgre_1_1Root.html#a401807b14c629aa22756dfef915b44c7">00073</a>         <a class="code" href="group__General.html#ga8ec3f24590c290929ec15b4af5757351">RenderSystemList</a> <a class="code" href="classOgre_1_1Root.html#a401807b14c629aa22756dfef915b44c7">mRenderers</a>;
<a name="l00074"></a><a class="code" href="classOgre_1_1Root.html#ac4a929b204a97d7b27490fe1850adb46">00074</a>         <a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>* <a class="code" href="classOgre_1_1Root.html#ac4a929b204a97d7b27490fe1850adb46">mActiveRenderer</a>;
<a name="l00075"></a><a class="code" href="classOgre_1_1Root.html#a4d4df87090b486e05d93df1cbc09a0d5">00075</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1Root.html#a4d4df87090b486e05d93df1cbc09a0d5">mVersion</a>;
<a name="l00076"></a><a class="code" href="classOgre_1_1Root.html#ae667f8de9a9f01e010ff39aec8a9048e">00076</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1Root.html#ae667f8de9a9f01e010ff39aec8a9048e">mConfigFileName</a>;
<a name="l00077"></a><a class="code" href="classOgre_1_1Root.html#aaab43bb79759734e6bff3047e0c7f698">00077</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#aaab43bb79759734e6bff3047e0c7f698">mQueuedEnd</a>;
<a name="l00078"></a>00078         <span class="comment">// In case multiple render windows are created, only once are the resources loaded.</span>
<a name="l00079"></a><a class="code" href="classOgre_1_1Root.html#ad06af760b1c4f0172240149699057a0d">00079</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#ad06af760b1c4f0172240149699057a0d">mFirstTimePostWindowInit</a>;
<a name="l00080"></a>00080 
<a name="l00081"></a>00081         <span class="comment">// Singletons</span>
<a name="l00082"></a><a class="code" href="classOgre_1_1Root.html#a8341af8ef082c826af5c783b1e546351">00082</a>         <a class="code" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>* <a class="code" href="classOgre_1_1Root.html#a8341af8ef082c826af5c783b1e546351">mLogManager</a>;
<a name="l00083"></a><a class="code" href="classOgre_1_1Root.html#aca560aa062fd1e99ddbd9b3b05e928ff">00083</a>         <a class="code" href="classOgre_1_1ControllerManager.html" title="Class for managing Controller instances.">ControllerManager</a>* <a class="code" href="classOgre_1_1Root.html#aca560aa062fd1e99ddbd9b3b05e928ff">mControllerManager</a>;
<a name="l00084"></a><a class="code" href="classOgre_1_1Root.html#a1a7f24c00c7b3df355d050a5854a1938">00084</a>         <a class="code" href="classOgre_1_1SceneManagerEnumerator.html" title="Enumerates the SceneManager classes available to applications.">SceneManagerEnumerator</a>* <a class="code" href="classOgre_1_1Root.html#a1a7f24c00c7b3df355d050a5854a1938">mSceneManagerEnum</a>;
<a name="l00085"></a><a class="code" href="classOgre_1_1Root.html#a71fc72b82de9741751d52b64dc3faaad">00085</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1deque.html">deque&lt;SceneManager*&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#a71fc72b82de9741751d52b64dc3faaad">SceneManagerStack</a>;
<a name="l00086"></a><a class="code" href="classOgre_1_1Root.html#a87ccdca2a9e6d8fe111cd18169983986">00086</a>         <a class="code" href="classOgre_1_1Root.html#a71fc72b82de9741751d52b64dc3faaad">SceneManagerStack</a> <a class="code" href="classOgre_1_1Root.html#a87ccdca2a9e6d8fe111cd18169983986">mSceneManagerStack</a>;
<a name="l00087"></a><a class="code" href="classOgre_1_1Root.html#ae52533981f8d4db39286fdea5e8a3405">00087</a>         <a class="code" href="classOgre_1_1DynLibManager.html" title="Manager for Dynamic-loading Libraries.">DynLibManager</a>* <a class="code" href="classOgre_1_1Root.html#ae52533981f8d4db39286fdea5e8a3405">mDynLibManager</a>;
<a name="l00088"></a><a class="code" href="classOgre_1_1Root.html#a39be2ce244e0157fa2be4ff71e77cc06">00088</a>         <a class="code" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a>* <a class="code" href="classOgre_1_1Root.html#a39be2ce244e0157fa2be4ff71e77cc06">mArchiveManager</a>;
<a name="l00089"></a><a class="code" href="classOgre_1_1Root.html#ace4669983441a497dc4b715385542715">00089</a>         <a class="code" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>* <a class="code" href="classOgre_1_1Root.html#ace4669983441a497dc4b715385542715">mMaterialManager</a>;
<a name="l00090"></a><a class="code" href="classOgre_1_1Root.html#ac33d490d608098e459b667b14c7c830d">00090</a>         <a class="code" href="classOgre_1_1MeshManager.html" title="Handles the management of mesh resources.">MeshManager</a>* <a class="code" href="classOgre_1_1Root.html#ac33d490d608098e459b667b14c7c830d">mMeshManager</a>;
<a name="l00091"></a><a class="code" href="classOgre_1_1Root.html#a9c16c659560840de45862a7899f3efee">00091</a>         <a class="code" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector fa...">ParticleSystemManager</a>* <a class="code" href="classOgre_1_1Root.html#a9c16c659560840de45862a7899f3efee">mParticleManager</a>;
<a name="l00092"></a><a class="code" href="classOgre_1_1Root.html#a3ff49e0d841093e25be173ade78bbf7b">00092</a>         <a class="code" href="classOgre_1_1SkeletonManager.html" title="Handles the management of skeleton resources.">SkeletonManager</a>* <a class="code" href="classOgre_1_1Root.html#a3ff49e0d841093e25be173ade78bbf7b">mSkeletonManager</a>;
<a name="l00093"></a><a class="code" href="classOgre_1_1Root.html#ad3f2106ce6c45d03776ee919078d2acc">00093</a>         <a class="code" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses must implement...">OverlayElementFactory</a>* <a class="code" href="classOgre_1_1Root.html#ad3f2106ce6c45d03776ee919078d2acc">mPanelFactory</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1Root.html#addebb508d0904d9f6237fdcbddb54215">00094</a>         <a class="code" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses must implement...">OverlayElementFactory</a>* <a class="code" href="classOgre_1_1Root.html#addebb508d0904d9f6237fdcbddb54215">mBorderPanelFactory</a>;
<a name="l00095"></a><a class="code" href="classOgre_1_1Root.html#ae063ca132e7f404a8393b66a4b115401">00095</a>         <a class="code" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses must implement...">OverlayElementFactory</a>* <a class="code" href="classOgre_1_1Root.html#ae063ca132e7f404a8393b66a4b115401">mTextAreaFactory</a>;
<a name="l00096"></a><a class="code" href="classOgre_1_1Root.html#a52a04311ae0f5779d830c84c956576cf">00096</a>         <a class="code" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a>* <a class="code" href="classOgre_1_1Root.html#a52a04311ae0f5779d830c84c956576cf">mOverlayManager</a>;
<a name="l00097"></a><a class="code" href="classOgre_1_1Root.html#a15d27dc1773514f058f8db32b47c24ac">00097</a>         <a class="code" href="classOgre_1_1FontManager.html" title="Manages Font resources, parsing .fontdef files and generally organising them.">FontManager</a>* <a class="code" href="classOgre_1_1Root.html#a15d27dc1773514f058f8db32b47c24ac">mFontManager</a>;
<a name="l00098"></a><a class="code" href="classOgre_1_1Root.html#a4cc4ec802be128faacb7d78ce5bfd370">00098</a>         <a class="code" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> *<a class="code" href="classOgre_1_1Root.html#a4cc4ec802be128faacb7d78ce5bfd370">mZipArchiveFactory</a>;
<a name="l00099"></a><a class="code" href="classOgre_1_1Root.html#a1cccf888960743f00f7b56c9f0cd3d4a">00099</a>         <a class="code" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> *<a class="code" href="classOgre_1_1Root.html#a1cccf888960743f00f7b56c9f0cd3d4a">mEmbeddedZipArchiveFactory</a>;
<a name="l00100"></a><a class="code" href="classOgre_1_1Root.html#a443782dd5784e3465095642c61147689">00100</a>         <a class="code" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> *<a class="code" href="classOgre_1_1Root.html#a443782dd5784e3465095642c61147689">mFileSystemArchiveFactory</a>;
<a name="l00101"></a><a class="code" href="classOgre_1_1Root.html#a0ac225dbbfb1d3f16483e89218887c42">00101</a>         <a class="code" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various resource managers...">ResourceGroupManager</a>* <a class="code" href="classOgre_1_1Root.html#a0ac225dbbfb1d3f16483e89218887c42">mResourceGroupManager</a>;
<a name="l00102"></a><a class="code" href="classOgre_1_1Root.html#a2c2cfee01223cf83b295a98ee36145f2">00102</a>         <a class="code" href="classOgre_1_1ResourceBackgroundQueue.html" title="This class is used to perform Resource operations in a background thread.">ResourceBackgroundQueue</a>* <a class="code" href="classOgre_1_1Root.html#a2c2cfee01223cf83b295a98ee36145f2">mResourceBackgroundQueue</a>;
<a name="l00103"></a><a class="code" href="classOgre_1_1Root.html#a39cea6378ad03076211928a2cf22e304">00103</a>         <a class="code" href="classOgre_1_1ShadowTextureManager.html" title="Class to manage the available shadow textures which may be shared between many SceneManager instances...">ShadowTextureManager</a>* <a class="code" href="classOgre_1_1Root.html#a39cea6378ad03076211928a2cf22e304">mShadowTextureManager</a>;
<a name="l00104"></a><a class="code" href="classOgre_1_1Root.html#a7340f1cbad449a8fee38543d960e9c2e">00104</a>         <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html" title="Class for managing RenderSystemCapabilities database for Ogre.">RenderSystemCapabilitiesManager</a>* <a class="code" href="classOgre_1_1Root.html#a7340f1cbad449a8fee38543d960e9c2e">mRenderSystemCapabilitiesManager</a>;
<a name="l00105"></a><a class="code" href="classOgre_1_1Root.html#a3d770fbd120b23453b8a718d1a5edf8b">00105</a>         <a class="code" href="classOgre_1_1ScriptCompilerManager.html" title="Manages threaded compilation of scripts.">ScriptCompilerManager</a> *<a class="code" href="classOgre_1_1Root.html#a3d770fbd120b23453b8a718d1a5edf8b">mCompilerManager</a>;
<a name="l00106"></a><a class="code" href="classOgre_1_1Root.html#a00766217e5b7cbce206517ddf323ae0d">00106</a>         <a class="code" href="classOgre_1_1LodStrategyManager.html" title="Manager for lod strategies.">LodStrategyManager</a> *<a class="code" href="classOgre_1_1Root.html#a00766217e5b7cbce206517ddf323ae0d">mLodStrategyManager</a>;
<a name="l00107"></a>00107 
<a name="l00108"></a><a class="code" href="classOgre_1_1Root.html#aeb4e1f65f6a10e279660a79124b79066">00108</a>         <a class="code" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>* <a class="code" href="classOgre_1_1Root.html#aeb4e1f65f6a10e279660a79124b79066">mTimer</a>;
<a name="l00109"></a><a class="code" href="classOgre_1_1Root.html#a709848bdc0d717b00e17137422a2223c">00109</a>         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* <a class="code" href="classOgre_1_1Root.html#a709848bdc0d717b00e17137422a2223c">mAutoWindow</a>;
<a name="l00110"></a><a class="code" href="classOgre_1_1Root.html#ae890212d6b5b58ebdd8c60b5ec2f798a">00110</a>         <a class="code" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a>* <a class="code" href="classOgre_1_1Root.html#ae890212d6b5b58ebdd8c60b5ec2f798a">mProfiler</a>;
<a name="l00111"></a><a class="code" href="classOgre_1_1Root.html#a63a833e5c6c3552ecc9feba72f80567e">00111</a>         <a class="code" href="classOgre_1_1HighLevelGpuProgramManager.html" title="This ResourceManager manages high-level vertex and fragment programs.">HighLevelGpuProgramManager</a>* <a class="code" href="classOgre_1_1Root.html#a63a833e5c6c3552ecc9feba72f80567e">mHighLevelGpuProgramManager</a>;
<a name="l00112"></a><a class="code" href="classOgre_1_1Root.html#a52c7427e8a66c0462485c8e2f679b329">00112</a>         <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html" title="Singleton Class which handles the registering and control of texture plugins.">ExternalTextureSourceManager</a>* <a class="code" href="classOgre_1_1Root.html#a52c7427e8a66c0462485c8e2f679b329">mExternalTextureSourceManager</a>;
<a name="l00113"></a><a class="code" href="classOgre_1_1Root.html#a7e0f9cf69e91d888be189ae48ff862bd">00113</a>         <a class="code" href="classOgre_1_1CompositorManager.html" title="Class for managing Compositor settings for Ogre.">CompositorManager</a>* <a class="code" href="classOgre_1_1Root.html#a7e0f9cf69e91d888be189ae48ff862bd">mCompositorManager</a>;      
<a name="l00114"></a><a class="code" href="classOgre_1_1Root.html#ab820ed46c603efb21feef351d227d857">00114</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classOgre_1_1Root.html#ab820ed46c603efb21feef351d227d857">mNextFrame</a>;
<a name="l00115"></a><a class="code" href="classOgre_1_1Root.html#ac8539d70ee251556a15b47ffddf4da47">00115</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Root.html#ac8539d70ee251556a15b47ffddf4da47">mFrameSmoothingTime</a>;
<a name="l00116"></a><a class="code" href="classOgre_1_1Root.html#af41c03d6a03412ecfcdfac3461e343b3">00116</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#af41c03d6a03412ecfcdfac3461e343b3">mRemoveQueueStructuresOnClear</a>;
<a name="l00117"></a><a class="code" href="classOgre_1_1Root.html#a4cf302eb736882c858fea3b1ad44d5e4">00117</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Root.html#a4cf302eb736882c858fea3b1ad44d5e4">mDefaultMinPixelSize</a>;
<a name="l00118"></a>00118 
<a name="l00119"></a>00119     <span class="keyword">public</span>:
<a name="l00120"></a><a class="code" href="classOgre_1_1Root.html#a4f51fe7c71b67eb166e0c34891611f65">00120</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;DynLib*&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#a4f51fe7c71b67eb166e0c34891611f65">PluginLibList</a>;
<a name="l00121"></a><a class="code" href="classOgre_1_1Root.html#a5483dc1f87b9861cae629b5aba6a6071">00121</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;Plugin*&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#a5483dc1f87b9861cae629b5aba6a6071">PluginInstanceList</a>;
<a name="l00122"></a>00122     <span class="keyword">protected</span>:
<a name="l00124"></a><a class="code" href="classOgre_1_1Root.html#a7adceb013794ab1139e0611bb85a4f89">00124</a>         <a class="code" href="classOgre_1_1Root.html#a4f51fe7c71b67eb166e0c34891611f65">PluginLibList</a> <a class="code" href="classOgre_1_1Root.html#a7adceb013794ab1139e0611bb85a4f89" title="List of plugin DLLs loaded.">mPluginLibs</a>;
<a name="l00126"></a><a class="code" href="classOgre_1_1Root.html#ab35dafba14a43e3fa34c586bb7742742">00126</a>         <a class="code" href="classOgre_1_1Root.html#a5483dc1f87b9861cae629b5aba6a6071">PluginInstanceList</a> <a class="code" href="classOgre_1_1Root.html#ab35dafba14a43e3fa34c586bb7742742" title="List of Plugin instances registered.">mPlugins</a>;
<a name="l00127"></a>00127 
<a name="l00128"></a><a class="code" href="classOgre_1_1Root.html#a55670df9d65002a8712ac0be55f6b259">00128</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, MovableObjectFactory*&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#a55670df9d65002a8712ac0be55f6b259">MovableObjectFactoryMap</a>;
<a name="l00129"></a><a class="code" href="classOgre_1_1Root.html#aa6113aa862fd0e7cb9bbe3e9a961971a">00129</a>         <a class="code" href="classOgre_1_1Root.html#a55670df9d65002a8712ac0be55f6b259">MovableObjectFactoryMap</a> <a class="code" href="classOgre_1_1Root.html#aa6113aa862fd0e7cb9bbe3e9a961971a">mMovableObjectFactoryMap</a>;
<a name="l00130"></a><a class="code" href="classOgre_1_1Root.html#a605b3bfce0863ec488c3bb6c317ea1d4">00130</a>         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1Root.html#a605b3bfce0863ec488c3bb6c317ea1d4">mNextMovableObjectTypeFlag</a>;
<a name="l00131"></a>00131         <span class="comment">// stock movable factories</span>
<a name="l00132"></a><a class="code" href="classOgre_1_1Root.html#aa106f6583741c6b9a046a17228a5a5b7">00132</a>         <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* <a class="code" href="classOgre_1_1Root.html#aa106f6583741c6b9a046a17228a5a5b7">mEntityFactory</a>;
<a name="l00133"></a><a class="code" href="classOgre_1_1Root.html#a213edd5d35c2447e1151fae69914f9d6">00133</a>         <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* <a class="code" href="classOgre_1_1Root.html#a213edd5d35c2447e1151fae69914f9d6">mLightFactory</a>;
<a name="l00134"></a><a class="code" href="classOgre_1_1Root.html#abfac646f213dd7979133d226f86412a9">00134</a>         <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* <a class="code" href="classOgre_1_1Root.html#abfac646f213dd7979133d226f86412a9">mBillboardSetFactory</a>;
<a name="l00135"></a><a class="code" href="classOgre_1_1Root.html#aadd8acdd959f49fb6a810420029eeea6">00135</a>         <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* <a class="code" href="classOgre_1_1Root.html#aadd8acdd959f49fb6a810420029eeea6">mManualObjectFactory</a>;
<a name="l00136"></a><a class="code" href="classOgre_1_1Root.html#ae9209b24ac7527d700763c09a6363c3c">00136</a>         <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* <a class="code" href="classOgre_1_1Root.html#ae9209b24ac7527d700763c09a6363c3c">mBillboardChainFactory</a>;
<a name="l00137"></a><a class="code" href="classOgre_1_1Root.html#ab5407b6438073851223bdae66324278e">00137</a>         <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* <a class="code" href="classOgre_1_1Root.html#ab5407b6438073851223bdae66324278e">mRibbonTrailFactory</a>;
<a name="l00138"></a>00138 
<a name="l00139"></a><a class="code" href="classOgre_1_1Root.html#a47157fb47b40fc61942b1fc17fd7fafd">00139</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, RenderQueueInvocationSequence*&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#a47157fb47b40fc61942b1fc17fd7fafd">RenderQueueInvocationSequenceMap</a>;
<a name="l00140"></a><a class="code" href="classOgre_1_1Root.html#ab1ce8a35c1865013315a7f8fd79e15e5">00140</a>         <a class="code" href="classOgre_1_1Root.html#a47157fb47b40fc61942b1fc17fd7fafd">RenderQueueInvocationSequenceMap</a> <a class="code" href="classOgre_1_1Root.html#ab1ce8a35c1865013315a7f8fd79e15e5">mRQSequenceMap</a>;
<a name="l00141"></a>00141 
<a name="l00143"></a><a class="code" href="classOgre_1_1Root.html#ab140f852c36efd9148aa24a78d49f572">00143</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#ab140f852c36efd9148aa24a78d49f572" title="Are we initialised yet?">mIsInitialised</a>;
<a name="l00144"></a>00144 
<a name="l00145"></a><a class="code" href="classOgre_1_1Root.html#a6334087718cb89a5d77910ec5418d4f5">00145</a>         <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* <a class="code" href="classOgre_1_1Root.html#a6334087718cb89a5d77910ec5418d4f5">mWorkQueue</a>;
<a name="l00146"></a>00146 
<a name="l00148"></a><a class="code" href="classOgre_1_1Root.html#afaaa161c9e522097f1a01a90484be1a3">00148</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#afaaa161c9e522097f1a01a90484be1a3" title="Tells whether blend indices information needs to be passed to the GPU.">mIsBlendIndicesGpuRedundant</a>;
<a name="l00150"></a><a class="code" href="classOgre_1_1Root.html#aabcc1509bd438c6ffcd10534d259a45a">00150</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#aabcc1509bd438c6ffcd10534d259a45a" title="Tells whether blend weights information needs to be passed to the GPU.">mIsBlendWeightsGpuRedundant</a>;
<a name="l00151"></a>00151 
<a name="l00158"></a>00158         <span class="keywordtype">void</span> loadPlugins( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; pluginsfile = <span class="stringliteral">&quot;plugins.cfg&quot;</span> );
<a name="l00162"></a>00162         <span class="keywordtype">void</span> initialisePlugins();
<a name="l00166"></a>00166         <span class="keywordtype">void</span> shutdownPlugins();
<a name="l00167"></a>00167 
<a name="l00170"></a>00170         <span class="keywordtype">void</span> unloadPlugins();
<a name="l00171"></a>00171 
<a name="l00172"></a>00172         <span class="comment">// Internal method for one-time tasks after first window creation</span>
<a name="l00173"></a>00173         <span class="keywordtype">void</span> oneTimePostWindowInit(<span class="keywordtype">void</span>);
<a name="l00174"></a>00174 
<a name="l00176"></a><a class="code" href="classOgre_1_1Root.html#a6337b89d271443a0964765f53f1becd4">00176</a>         <a class="code" href="structOgre_1_1set.html">set&lt;FrameListener*&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#a6337b89d271443a0964765f53f1becd4" title="Set of registered frame listeners.">mFrameListeners</a>;
<a name="l00177"></a>00177 
<a name="l00179"></a><a class="code" href="classOgre_1_1Root.html#a2aacd5f1c3dcd7ca6c45b6e0d013516a">00179</a>         <a class="code" href="structOgre_1_1set.html">set&lt;FrameListener*&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#a2aacd5f1c3dcd7ca6c45b6e0d013516a" title="Set of frame listeners marked for removal.">mRemovedFrameListeners</a>;
<a name="l00180"></a>00180 
<a name="l00182"></a><a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342">00182</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342" title="Indicates the type of event to be considered by calculateEventTime().">FrameEventTimeType</a> {
<a name="l00183"></a><a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342ae392b758b6c82d9b7f43ef2c385f7564">00183</a>             FETT_ANY = 0, 
<a name="l00184"></a><a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a66ae048b1f52c537764494e797183d57">00184</a>             FETT_STARTED = 1, 
<a name="l00185"></a><a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a634c639c6480850d63f88fee6dd78913">00185</a>             FETT_QUEUED = 2, 
<a name="l00186"></a><a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a7138134f06499aff19becd379e6f29ed">00186</a>             FETT_ENDED = 3, 
<a name="l00187"></a><a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a608264d63d0b5b84a05883d1b9b22eb5">00187</a>             FETT_COUNT = 4
<a name="l00188"></a>00188         };
<a name="l00189"></a>00189 
<a name="l00191"></a><a class="code" href="classOgre_1_1Root.html#ab1fb026ba6b14078cacd620e7f2a8c3a">00191</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1deque.html">deque&lt;unsigned long&gt;::type</a> <a class="code" href="classOgre_1_1Root.html#ab1fb026ba6b14078cacd620e7f2a8c3a" title="Contains the times of recently fired events.">EventTimesQueue</a>;
<a name="l00192"></a><a class="code" href="classOgre_1_1Root.html#afdcf19edc9d8b35905b436cbb23a8d30">00192</a>         <a class="code" href="classOgre_1_1Root.html#ab1fb026ba6b14078cacd620e7f2a8c3a" title="Contains the times of recently fired events.">EventTimesQueue</a> mEventTimes[FETT_COUNT];
<a name="l00193"></a>00193 
<a name="l00198"></a>00198         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> calculateEventTime(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> now, <a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342" title="Indicates the type of event to be considered by calculateEventTime().">FrameEventTimeType</a> type);
<a name="l00199"></a>00199 
<a name="l00201"></a>00201         <span class="keywordtype">void</span> populateFrameEvent(<a class="code" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342" title="Indicates the type of event to be considered by calculateEventTime().">FrameEventTimeType</a> type, <a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evtToUpdate);
<a name="l00202"></a>00202 
<a name="l00203"></a>00203     <span class="keyword">public</span>:
<a name="l00204"></a>00204 
<a name="l00213"></a>00213         <a class="code" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; pluginFileName = <span class="stringliteral">&quot;plugins.cfg&quot;</span>, 
<a name="l00214"></a>00214             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; configFileName = <span class="stringliteral">&quot;ogre.cfg&quot;</span>, 
<a name="l00215"></a>00215             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; logFileName = <span class="stringliteral">&quot;Ogre.log&quot;</span>);
<a name="l00216"></a>00216         ~<a class="code" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>();
<a name="l00217"></a>00217 
<a name="l00223"></a>00223         <span class="keywordtype">void</span> saveConfig(<span class="keywordtype">void</span>);
<a name="l00224"></a>00224 
<a name="l00237"></a>00237         <span class="keywordtype">bool</span> restoreConfig(<span class="keywordtype">void</span>);
<a name="l00238"></a>00238 
<a name="l00255"></a>00255         <span class="keywordtype">bool</span> showConfigDialog(<span class="keywordtype">void</span>);
<a name="l00256"></a>00256 
<a name="l00268"></a>00268         <span class="keywordtype">void</span> addRenderSystem(<a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>* newRend);
<a name="l00269"></a>00269 
<a name="l00276"></a>00276         <span class="keyword">const</span> <a class="code" href="group__General.html#ga8ec3f24590c290929ec15b4af5757351">RenderSystemList</a>&amp; getAvailableRenderers(<span class="keywordtype">void</span>);
<a name="l00277"></a>00277 
<a name="l00284"></a>00284         <a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>* getRenderSystemByName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00285"></a>00285 
<a name="l00303"></a>00303         <span class="keywordtype">void</span> setRenderSystem(<a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>* system);
<a name="l00304"></a>00304 
<a name="l00307"></a>00307         <a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>* getRenderSystem(<span class="keywordtype">void</span>);
<a name="l00308"></a>00308 
<a name="l00324"></a>00324         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* initialise(<span class="keywordtype">bool</span> autoCreateWindow, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; windowTitle = <span class="stringliteral">&quot;OGRE Render Window&quot;</span>,
<a name="l00325"></a>00325                                     <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; customCapabilitiesConfig = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00326"></a>00326 
<a name="l00328"></a><a class="code" href="classOgre_1_1Root.html#a792a705f087b59b4760d068aebb689cf">00328</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#a792a705f087b59b4760d068aebb689cf" title="Returns whether the system is initialised or not.">isInitialised</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mIsInitialised; }
<a name="l00329"></a>00329 
<a name="l00335"></a>00335         <span class="keywordtype">void</span> useCustomRenderSystemCapabilities(<a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* capabilities);
<a name="l00336"></a>00336 
<a name="l00340"></a><a class="code" href="classOgre_1_1Root.html#ad9abb5bd238fbcaa7ec0474ea1de1220">00340</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#ad9abb5bd238fbcaa7ec0474ea1de1220" title="Get whether the entire render queue structure should be emptied on clearing, or whether just the obje...">getRemoveRenderQueueStructuresOnClear</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mRemoveQueueStructuresOnClear; }
<a name="l00341"></a>00341 
<a name="l00345"></a><a class="code" href="classOgre_1_1Root.html#acdac409627b2920ecb99f4d1cd4af191">00345</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Root.html#acdac409627b2920ecb99f4d1cd4af191" title="Set whether the entire render queue structure should be emptied on clearing, or whether just the obje...">setRemoveRenderQueueStructuresOnClear</a>(<span class="keywordtype">bool</span> r) { mRemoveQueueStructuresOnClear = r; }
<a name="l00346"></a>00346 
<a name="l00352"></a>00352         <span class="keywordtype">void</span> addSceneManagerFactory(<a class="code" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>* fact);
<a name="l00353"></a>00353 
<a name="l00356"></a>00356         <span class="keywordtype">void</span> removeSceneManagerFactory(<a class="code" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>* fact);
<a name="l00357"></a>00357 
<a name="l00367"></a>00367         <span class="keyword">const</span> <a class="code" href="structOgre_1_1SceneManagerMetaData.html" title="Structure containing information about a scene manager.">SceneManagerMetaData</a>* getSceneManagerMetaData(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName) <span class="keyword">const</span>;
<a name="l00368"></a>00368 
<a name="l00372"></a>00372         <a class="code" href="classOgre_1_1ConstVectorIterator.html" title="Concrete IteratorWrapper for const access to the underlying container.">SceneManagerEnumerator::MetaDataIterator</a> getSceneManagerMetaDataIterator(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00373"></a>00373 
<a name="l00385"></a>00385         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* createSceneManager(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName, 
<a name="l00386"></a>00386             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00387"></a>00387 
<a name="l00400"></a>00400         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* createSceneManager(<a class="code" href="group__Scene.html#gaa4b6dbd7bf722582a21fcc25d25f73ed" title="Bitmask containing scene types.">SceneTypeMask</a> typeMask, 
<a name="l00401"></a>00401             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00402"></a>00402 
<a name="l00404"></a>00404         <span class="keywordtype">void</span> destroySceneManager(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm);
<a name="l00405"></a>00405 
<a name="l00410"></a>00410         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* getSceneManager(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName) <span class="keyword">const</span>;
<a name="l00411"></a>00411 
<a name="l00415"></a>00415         <span class="keywordtype">bool</span> hasSceneManager(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName) <span class="keyword">const</span>;
<a name="l00417"></a>00417         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">SceneManagerEnumerator::SceneManagerIterator</a> getSceneManagerIterator(<span class="keywordtype">void</span>);
<a name="l00418"></a>00418 
<a name="l00434"></a>00434         <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a>* getTextureManager(<span class="keywordtype">void</span>);
<a name="l00435"></a>00435 
<a name="l00441"></a>00441         <a class="code" href="classOgre_1_1MeshManager.html" title="Handles the management of mesh resources.">MeshManager</a>* getMeshManager(<span class="keywordtype">void</span>);
<a name="l00442"></a>00442 
<a name="l00446"></a>00446         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getErrorDescription(<span class="keywordtype">long</span> errorNumber);
<a name="l00447"></a>00447 
<a name="l00464"></a>00464         <span class="keywordtype">void</span> addFrameListener(<a class="code" href="classOgre_1_1FrameListener.html" title="A interface class defining a listener which can be used to receive notifications of frame events...">FrameListener</a>* newListener);
<a name="l00465"></a>00465 
<a name="l00470"></a>00470         <span class="keywordtype">void</span> removeFrameListener(<a class="code" href="classOgre_1_1FrameListener.html" title="A interface class defining a listener which can be used to receive notifications of frame events...">FrameListener</a>* oldListener);
<a name="l00471"></a>00471 
<a name="l00480"></a>00480         <span class="keywordtype">void</span> queueEndRendering(<span class="keywordtype">void</span>);
<a name="l00481"></a>00481 
<a name="l00509"></a>00509         <span class="keywordtype">void</span> startRendering(<span class="keywordtype">void</span>);
<a name="l00510"></a>00510 
<a name="l00516"></a>00516         <span class="keywordtype">bool</span> renderOneFrame(<span class="keywordtype">void</span>);
<a name="l00517"></a>00517 
<a name="l00524"></a>00524         <span class="keywordtype">bool</span> renderOneFrame(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeSinceLastFrame);
<a name="l00525"></a>00525 
<a name="l00533"></a>00533         <span class="keywordtype">void</span> shutdown(<span class="keywordtype">void</span>);
<a name="l00534"></a>00534 
<a name="l00581"></a>00581         <span class="keywordtype">void</span> addResourceLocation(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; locType, 
<a name="l00582"></a>00582             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3" title="Default resource group name.">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>, 
<a name="l00583"></a>00583             <span class="keywordtype">bool</span> recursive = <span class="keyword">false</span>);
<a name="l00584"></a>00584 
<a name="l00591"></a>00591         <span class="keywordtype">void</span> removeResourceLocation(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, 
<a name="l00592"></a>00592             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3" title="Default resource group name.">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>);
<a name="l00593"></a>00593 
<a name="l00615"></a>00615         <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> createFileStream(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3" title="Default resource group name.">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>, 
<a name="l00616"></a>00616             <span class="keywordtype">bool</span> overwrite = <span class="keyword">false</span>, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; locationPattern = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00617"></a>00617 
<a name="l00632"></a>00632         <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> openFileStream(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3" title="Default resource group name.">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>, 
<a name="l00633"></a>00633             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; locationPattern = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00634"></a>00634 
<a name="l00643"></a>00643         <span class="keywordtype">void</span> convertColourValue(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>* pDest);
<a name="l00644"></a>00644 
<a name="l00653"></a>00653         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* getAutoCreatedWindow(<span class="keywordtype">void</span>);
<a name="l00654"></a>00654 
<a name="l00657"></a>00657         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* createRenderWindow(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height, 
<a name="l00658"></a>00658             <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0) ;
<a name="l00659"></a>00659 
<a name="l00662"></a>00662         <span class="keywordtype">bool</span> createRenderWindows(<span class="keyword">const</span> <a class="code" href="group__General.html#ga7a03bf97326d0d0385b91a74e2c51c5e" title="Render window creation parameters container.">RenderWindowDescriptionList</a>&amp; renderWindowDescriptions,
<a name="l00663"></a>00663             <a class="code" href="group__General.html#ga1d8e92efee48ea10e75189c8efa6ec51" title="Render window container.">RenderWindowList</a>&amp; createdWindows);
<a name="l00664"></a>00664     
<a name="l00670"></a>00670         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* detachRenderTarget( <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* pWin );
<a name="l00671"></a>00671 
<a name="l00677"></a>00677         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* detachRenderTarget( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name );
<a name="l00678"></a>00678 
<a name="l00681"></a>00681         <span class="keywordtype">void</span> destroyRenderTarget(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* target);
<a name="l00682"></a>00682 
<a name="l00685"></a>00685         <span class="keywordtype">void</span> destroyRenderTarget(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name);
<a name="l00686"></a>00686 
<a name="l00689"></a>00689         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> * getRenderTarget(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name);
<a name="l00690"></a>00690 
<a name="l00701"></a>00701         <span class="keywordtype">void</span> loadPlugin(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; pluginName);
<a name="l00702"></a>00702 
<a name="l00712"></a>00712         <span class="keywordtype">void</span> unloadPlugin(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; pluginName);
<a name="l00713"></a>00713 
<a name="l00724"></a>00724         <span class="keywordtype">void</span> installPlugin(<a class="code" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a>* plugin);
<a name="l00725"></a>00725 
<a name="l00734"></a>00734         <span class="keywordtype">void</span> uninstallPlugin(<a class="code" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a>* plugin);
<a name="l00735"></a>00735 
<a name="l00737"></a><a class="code" href="classOgre_1_1Root.html#a6fc4402d867b3d553cf302701fdff331">00737</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Root.html#a5483dc1f87b9861cae629b5aba6a6071">PluginInstanceList</a>&amp; <a class="code" href="classOgre_1_1Root.html#a6fc4402d867b3d553cf302701fdff331" title="Gets a read-only list of the currently installed plugins.">getInstalledPlugins</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mPlugins; }
<a name="l00738"></a>00738 
<a name="l00740"></a>00740         <a class="code" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>* getTimer(<span class="keywordtype">void</span>);
<a name="l00741"></a>00741 
<a name="l00761"></a>00761         <span class="keywordtype">bool</span> _fireFrameStarted(<a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt);
<a name="l00771"></a>00771         <span class="keywordtype">bool</span> _fireFrameRenderingQueued(<a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt);
<a name="l00772"></a>00772 
<a name="l00789"></a>00789         <span class="keywordtype">bool</span> _fireFrameEnded(<a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt);
<a name="l00807"></a>00807         <span class="keywordtype">bool</span> _fireFrameStarted();
<a name="l00818"></a>00818         <span class="keywordtype">bool</span> _fireFrameRenderingQueued();
<a name="l00833"></a>00833         <span class="keywordtype">bool</span> _fireFrameEnded();
<a name="l00834"></a>00834 
<a name="l00843"></a><a class="code" href="classOgre_1_1Root.html#acb112ab3ff6088c5ebd743e30b2af8bd">00843</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classOgre_1_1Root.html#acb112ab3ff6088c5ebd743e30b2af8bd" title="Gets the number of the next frame to be rendered.">getNextFrameNumber</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mNextFrame; }
<a name="l00844"></a>00844 
<a name="l00850"></a>00850         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* _getCurrentSceneManager(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00855"></a>00855         <span class="keywordtype">void</span> _pushCurrentSceneManager(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm);
<a name="l00860"></a>00860         <span class="keywordtype">void</span> _popCurrentSceneManager(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm);
<a name="l00861"></a>00861 
<a name="l00872"></a>00872         <span class="keywordtype">bool</span> _updateAllRenderTargets(<span class="keywordtype">void</span>);
<a name="l00873"></a>00873 
<a name="l00885"></a>00885         <span class="keywordtype">bool</span> _updateAllRenderTargets(<a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt);
<a name="l00886"></a>00886 
<a name="l00891"></a>00891         <a class="code" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a>* createRenderQueueInvocationSequence(
<a name="l00892"></a>00892             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00893"></a>00893 
<a name="l00897"></a>00897         <a class="code" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a>* getRenderQueueInvocationSequence(
<a name="l00898"></a>00898             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00899"></a>00899 
<a name="l00905"></a>00905         <span class="keywordtype">void</span> destroyRenderQueueInvocationSequence(
<a name="l00906"></a>00906             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00907"></a>00907 
<a name="l00913"></a>00913         <span class="keywordtype">void</span> destroyAllRenderQueueInvocationSequences(<span class="keywordtype">void</span>);
<a name="l00914"></a>00914 
<a name="l00930"></a>00930         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00946"></a>00946         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00947"></a>00947 
<a name="l00956"></a>00956         <span class="keywordtype">void</span> clearEventTimes(<span class="keywordtype">void</span>);
<a name="l00957"></a>00957 
<a name="l00970"></a><a class="code" href="classOgre_1_1Root.html#a1f045bf046a75d65e6ddc71f4ebe0b2c">00970</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Root.html#a1f045bf046a75d65e6ddc71f4ebe0b2c" title="Sets the period over which OGRE smooths out fluctuations in frame times.">setFrameSmoothingPeriod</a>(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> period) { mFrameSmoothingTime = period; }
<a name="l00972"></a><a class="code" href="classOgre_1_1Root.html#a652690a3524c8164b850f3655d94c6dd">00972</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Root.html#a652690a3524c8164b850f3655d94c6dd" title="Gets the period over which OGRE smooths out fluctuations in frame times.">getFrameSmoothingPeriod</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mFrameSmoothingTime; }
<a name="l00973"></a>00973 
<a name="l00986"></a>00986         <span class="keywordtype">void</span> addMovableObjectFactory(<a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* fact, 
<a name="l00987"></a>00987             <span class="keywordtype">bool</span> overrideExisting = <span class="keyword">false</span>);
<a name="l00995"></a>00995         <span class="keywordtype">void</span> removeMovableObjectFactory(<a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* fact);
<a name="l00997"></a>00997         <span class="keywordtype">bool</span> hasMovableObjectFactory(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName) <span class="keyword">const</span>;
<a name="l00999"></a>00999         <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>* getMovableObjectFactory(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName);
<a name="l01005"></a>01005         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> _allocateNextMovableObjectTypeFlag(<span class="keywordtype">void</span>);
<a name="l01006"></a>01006 
<a name="l01007"></a><a class="code" href="classOgre_1_1Root.html#a724ee7dcbdb7b8052420df2fecd07c0d">01007</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1ConstMapIterator.html" title="Concrete IteratorWrapper for const access to the underlying key-value container.">ConstMapIterator&lt;MovableObjectFactoryMap&gt;</a> <a class="code" href="classOgre_1_1Root.html#a724ee7dcbdb7b8052420df2fecd07c0d">MovableObjectFactoryIterator</a>;
<a name="l01011"></a>01011         <a class="code" href="classOgre_1_1ConstMapIterator.html" title="Concrete IteratorWrapper for const access to the underlying key-value container.">MovableObjectFactoryIterator</a> getMovableObjectFactoryIterator(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01012"></a>01012 
<a name="l01016"></a>01016         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getDisplayMonitorCount() <span class="keyword">const</span>;
<a name="l01017"></a>01017 
<a name="l01024"></a><a class="code" href="classOgre_1_1Root.html#ac488cfcbb657af17483e9ce551965d37">01024</a>         <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* <a class="code" href="classOgre_1_1Root.html#ac488cfcbb657af17483e9ce551965d37" title="Get the WorkQueue for processing background tasks.">getWorkQueue</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mWorkQueue; }
<a name="l01025"></a>01025 
<a name="l01034"></a>01034         <span class="keywordtype">void</span> setWorkQueue(<a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* queue);
<a name="l01035"></a>01035             
<a name="l01042"></a><a class="code" href="classOgre_1_1Root.html#a9c610fa759978755ffd9da222fe68b3e">01042</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Root.html#a9c610fa759978755ffd9da222fe68b3e" title="Sets whether blend indices information needs to be passed to the GPU.">setBlendIndicesGpuRedundant</a>(<span class="keywordtype">bool</span> redundant) {  mIsBlendIndicesGpuRedundant = redundant; }
<a name="l01046"></a><a class="code" href="classOgre_1_1Root.html#aadeea91308b59cab2b608abb9c17bfdf">01046</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#aadeea91308b59cab2b608abb9c17bfdf" title="Returns whether blend indices information needs to be passed to the GPU see setBlendIndicesGpuRedunda...">isBlendIndicesGpuRedundant</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mIsBlendIndicesGpuRedundant; }
<a name="l01047"></a>01047 
<a name="l01054"></a><a class="code" href="classOgre_1_1Root.html#ab7360b80fdc4eeb6bc63ff594c04bd04">01054</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Root.html#ab7360b80fdc4eeb6bc63ff594c04bd04" title="Sets whether blend weights information needs to be passed to the GPU.">setBlendWeightsGpuRedundant</a>(<span class="keywordtype">bool</span> redundant) {  mIsBlendWeightsGpuRedundant = redundant; }
<a name="l01058"></a><a class="code" href="classOgre_1_1Root.html#af3f07ed823a3853643ab938f641db174">01058</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Root.html#af3f07ed823a3853643ab938f641db174" title="Returns whether blend weights information needs to be passed to the GPU see setBlendWeightsGpuRedunda...">isBlendWeightsGpuRedundant</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mIsBlendWeightsGpuRedundant; }
<a name="l01059"></a>01059     
<a name="l01064"></a><a class="code" href="classOgre_1_1Root.html#aa44a0398484e6efc3d13c590f02b0783">01064</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Root.html#aa44a0398484e6efc3d13c590f02b0783" title="Set the default minimum pixel size for object to be rendered by.">setDefaultMinPixelSize</a>(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> pixelSize) { mDefaultMinPixelSize = pixelSize; }
<a name="l01065"></a>01065 
<a name="l01068"></a><a class="code" href="classOgre_1_1Root.html#ab6d87c0af70d247b8809cf61e9482840">01068</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Root.html#ab6d87c0af70d247b8809cf61e9482840" title="Get the default minimum pixel size for object to be rendered by.">getDefaultMinPixelSize</a>() { <span class="keywordflow">return</span> mDefaultMinPixelSize; }
<a name="l01069"></a>01069     
<a name="l01070"></a>01070 
<a name="l01071"></a>01071     };
<a name="l01074"></a>01074 } <span class="comment">// Namespace Ogre</span>
<a name="l01075"></a>01075 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
